Subject: Re: [eman] Review and prototypeing the EMAN WG drafts

From: Benoit Claise <[email-masked]>
Date: Mon, 29 Jul 2013 08:13:44 +0200

Alan,

Let me come back to this email. Thanks for your prototype
Here is RFC 6982 "Improving Awareness of Running Code: The 
Implementation Status Section"

Abstract

    This document describes a simple process that allows authors of
    Internet-Drafts to record the status of known implementations by
    including an Implementation Status section.  This will allow
    reviewers and working groups to assign due consideration to documents
    that have the benefit of running code, which may serve as evidence of
    valuable experimentation and feedback that have made the implemented
    protocols more mature.

We applied it to [EMAN-MON], and we would like to expand that 
"Implementation Status" section.
If you could share details about your prototype, we could complete 
[EMAN-MON] and also add a new section for [EMAN-AWARE].
Here is a good example of that section: 
http://tools.ietf.org/html/draft-ietf-jcardcal-jcard-05

Regards, Benoit

> Hello,
>
> We have been studying the EMAN documents and developing a prototype
> energy-management SNMP agent.  It is clear the EMAN WG has done a
> tremendous amount of work analyzing the energy management problem
> and producing a comprehensive document set.  Reading the background
> documents (framework, requirements, and applicability statements) has
> been enlightening.  Studying the documents to the depth necessary to
> prototype them has been a fruitful experience.
>    
> The content of the MIB-related documents are pretty complete, well-
> thought out, and implementable.  There are places where the documents
> could be clarified or the technical content improved.  I've already
> commented on drafts -07 and -08 of  draft-ietf-eman-battery-mib.txt.
> As soon as possible, I'll comment on the other documents based upon
> the prototyping experience.
>
> Our prototype energy manageable device is loosely based upon the
> scenario described in Section 2.3 of draft-ietf-eman-applicability-
> statement-02.txt.  This scenario describes a network-connected
> workstation powered by a wall outlet.  In the prototype, the work-
> station is self-metering.
>
> Most of the values in the prototype are unchanging data.  The battery
> instrumentation objects, as well as the eoPower object, have time-
> varying values that make the prototype a little more realistic.  The
> entPhysicalIndex values in the ENTITY-MIB, the ENERGY-OBJECT-CONTEXT-MIB,
> the ENERGY-OBJECT-MIB and the POWER-CHARACTERISTICS-MIB should make
> these objects consistent for the self-metering workstation scenio.
> The BATTERY-MIB prototype really does not fit with the self-metering
> workstation scenario, based upon the requirement that the batteryIndex
> values match corresponding entries in the entPhysicalTable.
>
>
> To (hopefully) assist the EMAN WG, the prototype SNMP agent is
> available for testing.  There are two ways to try out the prototype:
>
> -  Traditional SNMP;
> -  A web interface
>
> To use traditional SNMP:
>
> -  Send to  ciagent.snmp.com, port 161 (the standard SNMP port);
>
> -  Use noAuthNoPriv USM user "public" (no auth or priv passwords needed);
>     One can also use SNMPv2c "public" or SNMPv1 "public".
>
> -  To build the SNMP agent, we had to assign OIDs to the draft MIBs
>     (all of the MIBs except for the ENTITY-MIB.)  Each of these have
>     been assigned an OID in the SNMP Research private space.  The
>     top-level OIDs for each MIB are:
>
>     entityMIB:                1.3.6.1.2.1.47
>
>     emanTmp                   1.3.6.1.4.1.99.15.1.10
>     batteryMIB                1.3.6.1.4.1.99.15.1.10.1
>     energyAwareMIB            1.3.6.1.4.1.99.15.1.10.2
>     energyObjectMib           1.3.6.1.4.1.99.15.1.10.3
>     powerCharacteristicsMIB   1.3.6.1.4.1.99.15.1.10.4
>
>
> To use the web interface:
>
> -  Use the URLs:
>
>         http://ciagent.snmp.com:280/subtree/entityMIB
>
>         http://ciagent.snmp.com:280/subtree/emanTmp
>         http://ciagent.snmp.com:280/subtree/batteryMIB
>         http://ciagent.snmp.com:280/subtree/energyAwareMIB
>         http://ciagent.snmp.com:280/subtree/energyObjectMib
>         http://ciagent.snmp.com:280/subtree/powerCharacteristicsMIB
>
>     Omit a trailing slash.  When prompted, the username is "Guest", no
>     password.
>
>
> For demonstration purposes, the web interface is a little easier to use.
> But there really is an SNMP agent underneath it, so you might want to
> actually throw SNMP requests at it to convince yourself.
>
> Hope this effort is helpful to the EMAN WG.  If nothing else, knowing
> that an SNMP agent can be produced from the current documents may be
> of use to the EMAN WG.
>
> Please let me know if you have questions or comments.
>
>
> Sincerly,
> --Alan
>
>   ------------------------------------------------------------------------------
>   Alan Luchuk               SNMP Research, Inc.          Voice:  +1 865 573 1434
>   Senior Software Engineer  3001 Kimberlin Heights Road  FAX:    +1 865 573 9197
>   luchuk at snmp.com        Knoxville, TN  37920-9716    http://www.snmp.com/
>   ------------------------------------------------------------------------------
>
> _______________________________________________
> eman mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eman
>
>